


#  Dato il titolo di un brano, quali sono le date di pubblicazione, la durata....

SELECT `DataUscita` As 'Data Pubblicazione', `Durata`
FROM ((`brani` INNER JOIN `album_brani` ON `brani`.`Id_Brano` = `album_brani`.`Id_Brano`)
INNER JOIN `album` ON `album_brani`.`Id_Album` = `album`.`Id_Album`)
INNER JOIN `edizioni` ON `album`.`Id_Album` = `edizioni`.`Id_Album`
WHERE `brani`.`Titolo` = 'Piccola ketty'


# ...l'artista e/o il gruppo musicale e/o l'orchestra con il relativo periodo di attivit...

SELECT `DataUscita` As 'Data Pubblicazione', `Durata`, NomeArtista, Periodo_Attivita
FROM ((((`brani` INNER JOIN `album_brani` ON `brani`.`Id_Brano` = `album_brani`.`Id_Brano`)
INNER JOIN `album` ON `album_brani`.`Id_Album` = `album`.`Id_Album`)
INNER JOIN `edizioni` ON `album`.`Id_Album` = `edizioni`.`Id_Album`)
INNER JOIN `artisti_brani_interpreti` ON `artisti_brani_interpreti`.`Id_Brano` = `brani`.`Id_Brano`)
INNER JOIN `artisti` ON `artisti`.`Id_Artista` = `artisti_brani_interpreti`.`Id_Artista`
WHERE `brani`.`Titolo` = 'Piccola ketty'

# ...nonch gli autori e l'album di appartenenza.

SELECT `DataUscita`  As 'Data Pubblicazione', `Durata`, T1.NomeArtista, T1.Periodo_Attivita, T2.NomeArtista, album.Titolo
FROM ((((((`brani` INNER JOIN `album_brani` ON `brani`.`Id_Brano` = `album_brani`.`Id_Brano`)
INNER JOIN `album` ON `album_brani`.`Id_Album` = `album`.`Id_Album`)
INNER JOIN `edizioni` ON `album`.`Id_Album` = `edizioni`.`Id_Album`)
INNER JOIN `artisti_brani_interpreti` ON `artisti_brani_interpreti`.`Id_Brano` = `brani`.`Id_Brano`)
INNER JOIN `artisti_brani_autori` ON `artisti_brani_autori`.`Id_Brano` = `brani`.`Id_Brano`)
INNER JOIN `artisti` AS T1 ON T1.`Id_Artista` = `artisti_brani_interpreti`.`Id_Artista`)
INNER JOIN `artisti` AS T2 ON T2.`Id_Artista` = `artisti_brani_autori`.`Id_Artista`
WHERE `brani`.`Titolo` = 'Piccola ketty'




